> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smsmanager.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update API key



## OpenAPI

````yaml /openapi/en/rest/restapi_v1.yaml post /apikey/update
openapi: 3.1.0
info:
  title: REST API SmsManager
  description: |
    API for managing accounts and other resources of SmsManager.
  version: v1
  contact:
    url: https://smsmanager.com
    email: cc@smsmanager.com
servers:
  - url: https://rest-api.smsmngr.com/v1
    description: Production server
security:
  - x-api-key: []
tags:
  - name: api
    x-displayName: API keys
    description: |
      For managing API keys use the following endpoints.
  - name: status
    x-displayName: Status
    description: |
      For reading status of sent messages use the following endpoints.
  - name: inbox
    x-displayName: Inbox
    description: |
      For reading inbox messages use the following endpoints.
  - name: credit
    x-displayName: Credit
    description: |
      For reading credit balance or pricelist info use the following endpoints.
paths:
  /apikey/update:
    post:
      tags:
        - api
      summary: Update API key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                default_callback_url:
                  type: string
                  description: >-
                    Default callback URL for this API key. This URL will be used
                    for incoming messages without relation to outgoing messages.
                note:
                  type: string
                  description: Note for the API key.
      responses:
        '200':
          description: Updated API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Success status.
                    example: true
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````